Download it now!
Bug 73467 - A drag-n-drop image is linked or embedded, depending on whether there is text also
Summary: A drag-n-drop image is linked or embedded, depending on whether there is text...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Images
  Show dependency treegraph
 
Reported: 2014-01-10 09:43 UTC by narayanaras
Modified: 2017-06-09 00:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description narayanaras 2014-01-10 09:43:52 UTC
If I use drag-n-drop from a browser into odt file, the result is inconsistent:

* If I drag-n-drop image together with some text, the image is linked.
* If I drag-n-drop an image only, it is embedded!

Most web articles (esp tutorials) are illustrated with a lot of images. Often they are formatted as a two-column table: Text in the left column, and image in the right column. 

If we drag-n-drop such pages, all images get linked.

There are four distinct problems:

1. Breaking the links is a separate manual operation.
2. If the user forgets to break the links, the articles loses all images when he is offline.
3. When the links are broken, Writer fetches all images once again.
   This means each image is fetched TWICE! (twice the download costs)
4. If the images files are large, then breaking the link takes a very long time, and Writer remains frozen for a very long time on slow networks.
 
On the other hand, dragging each image separately is a tremendous task; especially if the article has multiple images, or if it is formatted as a table.

Desired: When an article is dragged-n-dropped from a web page, the images must be automatically embedded (not linked)
Comment 1 Yousuf Philips (jay) (retired) 2014-07-14 01:31:00 UTC
Dear Narayanaras,

Thank you for reporting the bug. Can you please let us know which operating system you are running and provide us with an example url where we can test the drag-n-drop functionality that you are referring to.
Comment 2 narayanaras 2014-07-14 06:36:34 UTC
Hi

This issue is independent of OS: I have seen this on-
1. Win XP-SP2 32 bit
2. Win 7 32 bit
3. Win 8.1 64 bit

Also, I have observed the behavior in all past versions of LibreOffice till 4.3.0.2.

You can pick any HTML page that has text and image (it really does not matter.)
I just randomly picked up this newspaper site and confirmed that the problem does exist: http://www.financialexpress.com/news/lionel-messi-eclipsed-as-germany-wins-fifa-world-cup/1269658
Comment 3 QA Administrators 2015-07-18 17:44:24 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2016-09-20 10:18:33 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2017-06-08 09:33:08 UTC Comment hidden (obsolete)
Comment 6 Yousuf Philips (jay) (retired) 2017-06-09 00:48:28 UTC
This issue was fixed in 5.3 and now only dragging images is also linked.

Version: 5.5.0.0.alpha0+
Build ID: ddf8539d97ce044b7df8d51d6ec72ec864b40fb8
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-04_22:10:59
Locale: en-US (en_US.UTF-8); Calc: group